Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## griffon.core
[Java] Enum ApplicationPhase

    java.lang.Object
      java.lang.Enum
          griffon.core.ApplicationPhase

    public enum ApplicationPhase
    extends Enum

Defines the application life-cycle phases.

Authors:
  Andres Almiray

Since:
  0.9

Enum Constant Summary
`INITIALIZE`
`MAIN`
`READY`
`SHUTDOWN`
`STARTUP`

Method Summary
`ApplicationPhase` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`ApplicationPhase[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class Enum
name, equals, toString, hashCode, compareTo, compareTo, valueOf, getDeclaringClass, ordinal, wait, wait, wait, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Enum Constant Detail

### INITIALIZE

    ApplicationPhase INITIALIZE

### MAIN

    ApplicationPhase MAIN

### READY

    ApplicationPhase READY

### SHUTDOWN

    ApplicationPhase SHUTDOWN

### STARTUP

    ApplicationPhase STARTUP

Method Detail

### valueOf

    ApplicationPhase valueOf(String name)

  Returns the enum constant of this type with the specified name.

### values

    ApplicationPhase[] values()

  Returns an array containing the constants of this enum type, in the order they are declared.

Groovy Documentation